package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag296;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT296Creator mt296Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt296Creator= (MT296Creator) absMTCreator;
    }

    public void creator()
    {
        String tag77AValue = mt296Creator.getNarrative();
        mt296Creator.set("77A", tag77AValue);
    }
}
